Page MenuHomePhabricator

merge: add missing ACTION_KEEP when both remote and ancestor are not present
ClosedPublic

Authored by pulkit on Aug 24 2020, 10:14 AM.

Details

Summary

Previous patch may lead to confusion that the related criss-cross merge is
consistent when done from any of the parents. However this is not true and we
were missing setting an ACTION_KEEP.

This patch now exposes that bid-merge favors ACTION_KEEP always and the result
of merge is different when started from different parents.

This change also effects a test case above where bid merge was wrongly picking
r because it was missing keep related information from one of the ancestor.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Aug 24 2020, 10:14 AM
marmoute accepted this revision.Aug 26 2020, 12:55 PM
pulkit updated this revision to Diff 22474.Aug 27 2020, 5:38 AM
pulkit updated this revision to Diff 22499.Sep 1 2020, 8:14 AM
pulkit updated this revision to Diff 22510.Sep 2 2020, 7:53 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.